/**
	\file "sim/SimInt.h"
	$Id: SimInt.h,v 1.2 2006/02/08 03:48:28 fang Exp $
 */


#ifndef	__SIM_SIMINT_H__
#define	__SIM_SIMINT_H__

#include "misc/magic.h"
#include "database/database_types.h"
#include "utils/geometry_types.h"
#include "windows/windows_types.h"

extern void SimTreeCopyConnect(SearchContext*, TileTypeBitMask*, int,
	TileTypeBitMask*, Rect*, CellUse*, char*);
extern void SimGetNodeCleanUp(void);
extern int SimSrConnect(CellDef*, Rect*, TileTypeBitMask*, TileTypeBitMask*,
	Rect*, int (*)(), ClientData);
extern int SimPutLabel(CellDef*, Rect*, int, char*, TileType);
extern void SimRsimMouse(MagWindow*);


#endif	/* __SIM_SIMINT_H__ */

